﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

namespace GameState
{
    public class Cursor : Sprite
    {
        //Constructor
        Cursor(Texture2D Texture, Vector2 Position, float Speed)
            : base(Texture, Position, Speed)
        {

        }

        public override void Update(GameTime gameTime, Rectangle clientBounds)
        {
            //Cursor Movement
            GamePadState gamePadState = GamePad.GetState(PlayerIndex.One);
            this.position.X += gamePadState.ThumbSticks.Left.X * this.speed;
            this.position.Y -= gamePadState.ThumbSticks.Left.Y * this.speed;

            base.Update(gameTime, clientBounds);
        }

        public override void Draw(GameTime gameTime, SpriteBatch spriteBatch)
        {

            base.Draw(gameTime, spriteBatch);
        }
    }
}
